Bug 1567776

Summary: CVE-2018-6913 perl: heap buffer overflow in pp_pack.c [fedora-all]
Product: [Fedora] Fedora Reporter: Cedric Buissart 🐶 <cbuissar>
Component: perlAssignee: Petr Pisar <ppisar>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 27CC: alexl, caillon+fedoraproject, iarnell, jplesnik, kasal, mmaslano, perl-devel, ppisar, psabata, rhughes, sandmann, tcallawa
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: perl-5.26.2-411.fc29 perl-5.26.2-404.fc27 perl-5.24.4-397.fc26 perl-5.26.2-410.fc28 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-21 03:40:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1547772    

Comment 1 Cedric Buissart 🐶 2018-04-16 08:06:13 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1547772,1567776

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2018-04-16 12:26:45 UTC
perl-5.26.2-410.fc28 perl-Module-CoreList-5.20180414-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1ba58394e

Comment 3 Fedora Update System 2018-04-16 13:47:26 UTC
perl-Module-CoreList-5.20180414-1.fc27 perl-5.26.2-404.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1c8b49fbc7

Comment 4 Fedora Update System 2018-04-16 15:51:03 UTC
perl-Module-CoreList-5.20180414-1.fc26 perl-5.24.4-397.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0050f7c0d1

Comment 5 Fedora Update System 2018-04-18 02:29:28 UTC
perl-5.24.4-397.fc26, perl-Module-CoreList-5.20180414-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0050f7c0d1

Comment 6 Fedora Update System 2018-04-18 03:00:12 UTC
perl-5.26.2-404.fc27, perl-Module-CoreList-5.20180414-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1c8b49fbc7

Comment 7 Fedora Update System 2018-04-21 03:40:14 UTC
perl-5.26.2-404.fc27, perl-Module-CoreList-5.20180414-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-04-25 18:16:29 UTC
perl-5.24.4-397.fc26, perl-Module-CoreList-5.20180414-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-04-29 09:41:06 UTC
perl-5.26.2-410.fc28, perl-Module-CoreList-5.20180414-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1ba58394e

Comment 10 Fedora Update System 2018-05-08 10:36:20 UTC
perl-5.26.2-410.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1ba58394e

Comment 11 Fedora Update System 2018-05-09 21:22:27 UTC
perl-5.26.2-410.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.